// Mike Maxim
// Absyn for declarations

package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;
import edu.cmu.cs.l3.general.*;
import edu.cmu.cs.l3.semant.*;

public class ASDeclaration extends Visitable {

    public ASDeclaration(int p) {
	m_pos = p;

	m_classname = "ASDeclaration";
    }

    public int getPosition() {
	return m_pos;
    }

    public ASTypeInfo getTypeInfo() {
	return m_typeinfo;
    }

    protected ASTypeInfo m_typeinfo = new ASTypeInfo();
    protected int m_pos;
}
